<?php
/**
 * The show import view file of flow module of RanZhi.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Gang Liu <liugang@cnezsoft.com>
 * @package     flow
 * @version     $Id$
 * @link        http://www.ranzhi.org
 */
?>
<?php include $app->getModuleRoot($flow->app) . 'common/view/header.html.php';?>
<?php js::set('module', $flow->module);?>
<div class='panel'>
  <div class='panel-heading'>
    <strong><?php echo $lang->flow->showImport;?></strong>
  </div>
  <div class='panel-body'>
    <form id='ajaxForm' method='post'>
      <table class='table table-form'>
        <thead>
          <tr class='text-center'>
            <?php
            foreach($fields as $field)
            {
                if(!$field->show) continue;

                $width    = $field->width == 'auto' ? '' : 'w-' . $field->width . 'px';
                $required = strpos(",$field->rules,", ",$notEmptyRule->id,") !== false ? 'required' : '';
                echo "<th class='$width $required'>$field->name</th>";
            }
            ?>
          </tr>
        </thead>
        <tbody>
          <?php
          foreach($dataList as $key => $data)
          {
              echo '<tr>';

              $index = 1;
              foreach($fields as $field)
              {
                  if(!$field->show) continue;

                  echo '<td>';

                  $value = isset($data->{$field->field}) ? $data->{$field->field} : $field->defaultValue;

                  echo $this->flow->buildControl($field, $value, "dataList[$key][$field->field]");
                  if($index == 1) echo "<div id='error{$key}'></div>";

                  echo '</td>';

                  $index++;
              }
              echo '</tr>';
          }
          ?>
        </tbody>
      </table>
      <div class='form-actions text-center'>
        <?php echo baseHTML::submitButton($lang->import);?>
        <?php echo html::backButton();?>
      </div>
    </form>
  </div>
</div>
<?php include $app->getModuleRoot($flow->app) . 'common/view/footer.html.php';?>
